<?php
include "../ver_sessao.php";
include "../conecta.php";


function exclui_anexo(){
	
	remover('anexo',$_POST[id]);
	
	index();
	exit;
}


function modifica_anexo(){
	global $a_mod;
	
	$a_mod = carregar('anexo',$_POST[id]);
	
	index();
}


//print_r($_POST);

function envia_anexo(){
	
	global $CACTUX_CONF;
	
	$anexo = $_FILES[anexo];
	
	//CONSULTA OS DADOS DA COMPRA LIGADA A MOVIMENTO PARA PEGAR O ID DO MOVIMENTO
	$sql_compra = selecionar('compra,movimento','comp_nb_id',"$_POST[id]");
	$a_compra = carrega_array($sql_compra);
	
	//CONSULTA A TABELA ANEXO COM O ID DO MOVIMENTO, PARA VERIFICAR SE JÁ EXISTE ANEXO DESSE MOVIMENTO
	$sql = selecionar('anexo,movimento', 'anex_nb_movimento', "$a_compra[movi_nb_id]");
	$a_anexo = carrega_array($sql);
	
	//DADOS DA TABELA ANEXO
	$campos = array(anex_tx_nome, anex_nb_movimento, anex_tx_tipo,anex_tx_status);
	$valores = array($_POST[titulo],$a_compra[movi_nb_id],'compra',ativo);
	
	
	//SE NÃO EXISTIR ANEXO DESSE MOVIMENTO ELE INSERE NA TABELA
	if( !$a_anexo[anex_nb_id] ) {
		//INSERIR
		$campos = array_merge($campos,array(anex_nb_userCadastro, anex_tx_dataCadastro));
		$valores = array_merge($valores,array($_SESSION[user_nb_id],date("Y-m-d H:i:s")));
		inserir('anexo',$campos,$valores,1);
	} else {
		//ATUALIZAR
		$campos = array_merge($campos,array(anex_nb_userAtualiza, anex_tx_dataAtualiza));
		$valores = array_merge($valores,array($_SESSION[user_nb_id],date("Y-m-d H:i:s")));
		atualizar('anexo',$campos,$valores,$a_anexo[anex_nb_id]);
	}
		
	//GUARDAR O ANEXO
	if( $anexo[name] != '') {
		// CRIA O DIRETÓRIO PARA GUARDAR OS ANEXOS DA COMPRA, ATRAVÉS DO ID DO MOVIMENTO
		@mkdir("$_SERVER[DOCUMENT_ROOT]/$CACTUX_CONF[path]/arquivos/anexos/$a_compra[movi_nb_id]");
		
		//GUARDA O ARQUIVO DENTRO DA PASTA DO ID DO MOVIMENTO, SALVA COM O NOME DO TÍTULO E O ID DO MOVIMENTO
		$msg = enviar('anexo',$CACTUX_CONF[path].'/arquivos/anexos/'.$a_compra[movi_nb_id].'/',$_POST[titulo]."_".$a_compra[movi_nb_id],1); 
		
		set_status('Anexo Cadastrado com Sucesso!');
		
		// GUARDA O NOME DO ARQUIVO ORIGINAL NA TAVELA ANEXO
		if( !bd_erro($msg) ) {
			$envia_campos[] = 'anex_tx_arquivo';		
			$envia_valores[] = basename($msg);
			atualizar('anexo',$envia_campos,$envia_valores,$a_anexo[anex_nb_id]);
		}
	}
		
	index();
	exit;
}


function index(){
	global $a_mod;
	
	cabecalho('Requisição de Compra',2);
	
	//CONSULTAS
	$a_compra = carregar('compra,setor,entidade',"1");
	$a_comprador = carregar('user',"$a_compra[comp_nb_userCadastro]");
	
	// CAMPOS TEXTO
	$t1[] = cactux::texto('Código:',$a_compra[comp_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_compra[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comprador[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_compra[comp_tx_dataCadastro],1),2);
	$t2[] = cactux::texto('Fornecedor:',$a_compra[enti_tx_nome],4);
	
	//CAMPOS PARA DADOS DO ARQUIVO
	$c[] = cactux::campo('Título:','titulo',$a_mod[anex_tx_nome],4);
	$c[] = cactux::campo_arquivo('Anexo:','anexo',4);
	
	//UTILIZADA APENAS PARA TESTE
	$_POST[id] = 1;
	
	$gravar = cactux::botao_submit('Gravar',2,'envia_anexo','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_form('upload');
	
	cactux::abre_fieldset('Informações da Compra');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0]);
	cactux::linha_fieldset($c[0],$c[1]);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	
	$sql = selecionar('anexo','anex_tx_status',"!inativo"," $extra ORDER BY anex_nb_id",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	$cabecalho[] = array('COD','ANEXO','','');
	$cabecalho[] = 'c,e';
	$cabecalho[] = '6%,,3%,3%';
	$cabecalho[] = '50%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		$valores[] = array($a[anex_nb_id],$a[anex_tx_nome],".icone_modificar($a[0],modifica_anexo)",".icone_excluir($a[0],exclui_anexo)");
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
}

controle();
?>
